Bug 6734 - Show location in full and brief subscription history in OPAC
Summary: Show location in full and brief subscription history in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL: cgi-bin/koha/opac-serial-issues.pl?se...
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2011-08-16 18:51 UTC by Nicole C. Engard
Modified: 2022-02-07 14:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 6734: Show location in serials history table (3.52 KB, patch)
2021-12-16 17:37 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 6734: Show location in serials history table (5.38 KB, patch)
2021-12-17 15:32 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 6734: Show location in serials history table (5.06 KB, patch)
2022-01-06 23:02 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6734: Show location in serials history table (5.11 KB, patch)
2022-01-09 10:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6734: (QA follow-up) Fix punctuation and TT filters (1.42 KB, patch)
2022-01-09 10:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6734: (QA follow-up) Fix punctuation, TT filters, and CSS class (2.92 KB, patch)
2022-01-24 22:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-16 18:51:40 UTC
It would be nice if serial history table in the OPAC included the location information for those who don't create item records for each issue.
Comment 1 Katrin Fischer 2021-02-06 20:05:49 UTC
We show the library, but not the location, so this is still valid.
Comment 2 Jérémy Breuillard 2021-12-16 17:37:23 UTC
Created attachment 128637 [details] [review]
Bug 6734: Show location in serials history table

Opac: On a record(Serials) details the location wasn't displayed on the "Full history" tab

Test plan:
1)Intranet: Make sure to have at least one Serial/Subscription created with the field 'location' filled in
2)Opac: Find your Serial/Subscription
3)Click 'More details' and notice the 3 tabs : Normal view, Brief history, Full history
4)Go to 'Full history' to see the detailed array
5)Apply patch and refresh your browser
6)The location is now above the array
Comment 3 Jérémy Breuillard 2021-12-17 15:32:15 UTC
Created attachment 128679 [details] [review]
Bug 6734: Show location in serials history table

Opac: On a record(Serials) details the location wasn't displayed on the "Normal view" and "Full history" tabs

Test plan:
1)Intranet: Make sure to have at least two different Serials/Subscriptions on the same record with the field 'location' filled in
2)Opac: Find your Serials/Subscriptions
3)Click 'More details' and notice the 3 tabs : Normal view, Brief history, Full history
4)Go to 'Normal view' and 'Full history' to notice that 'location' is missing
5)Apply patch, refresh your browser & repeat 4)
6)The location is now visible
Comment 4 Chris Cormack 2022-01-06 23:02:41 UTC
Created attachment 129118 [details] [review]
Bug 6734: Show location in serials history table

Opac: On a record(Serials) details the location wasn't displayed on the "Normal view" and "Full history" tabs

Test plan:
1)Intranet: Make sure to have at least two different Serials/Subscriptions on the same record with the field 'location' filled in
2)Opac: Find your Serials/Subscriptions
3)Click 'More details' and notice the 3 tabs : Normal view, Brief history, Full history
4)Go to 'Normal view' and 'Full history' to notice that 'location' is missing
5)Apply patch, refresh your browser & repeat 4)
6)The location is now visible

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Katrin Fischer 2022-01-08 22:06:37 UTC
Comment on attachment 129118 [details] [review]
Bug 6734: Show location in serials history table

Review of attachment 129118 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-serial-issues.tt
@@ +132,5 @@
>                                      [% END %]
>  
>                                      <h3>[% subscription_LOO.branchname | html %]</h3>
> +                                    [% IF ( subscription_LOO.location ) %]
> +                                        <p>Location : <em>[% AuthorisedValues.GetByCode( 'LOC', subscription_LOO.location, 1 ) | html | html_line_break %]</em></p>

I believe the html_line_break is not needed here as every subscription can only have one location assigned and there should not be any line breaks to convert.
Comment 6 Katrin Fischer 2022-01-09 10:52:17 UTC
Created attachment 129230 [details] [review]
Bug 6734: Show location in serials history table

Opac: On a record(Serials) details the location wasn't displayed on the "Normal view" and "Full history" tabs

Test plan:
1)Intranet: Make sure to have at least two different Serials/Subscriptions on the same record with the field 'location' filled in
2)Opac: Find your Serials/Subscriptions
3)Click 'More details' and notice the 3 tabs : Normal view, Brief history, Full history
4)Go to 'Normal view' and 'Full history' to notice that 'location' is missing
5)Apply patch, refresh your browser & repeat 4)
6)The location is now visible

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2022-01-09 10:52:20 UTC
Created attachment 129231 [details] [review]
Bug 6734: (QA follow-up) Fix punctuation and TT filters

* Changes Location : to Location:
* Removes html_line_break filter, as location is not multi-line

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-01-22 07:00:26 UTC
Oh, since Bug 26323 we avoid calling directly 'LOC', prefer AuthorisedValues.GetDescriptionByKohaField()
Look at opac-course-details.tt :
https://git.koha-community.org/Koha-community/Koha/commit/1e502efa0aef9ca865ff0af6c6ecefee73cc4ee1#diff-20
Comment 9 Fridolin Somers 2022-01-22 07:02:03 UTC
Also use <span class="shelvingloc"> like in opac-detail.tt
Comment 10 Katrin Fischer 2022-01-24 22:10:34 UTC
(In reply to Fridolin Somers from comment #9)
> Also use <span class="shelvingloc"> like in opac-detail.tt

I have tried that out and it didn't work well since there is a CSS style attached to it. But: the subscription location already shows in the subscription tab with the class "subscription_location", so I've used that in the other spots which makes things consistent :)
Comment 11 Katrin Fischer 2022-01-24 22:30:02 UTC
Created attachment 129740 [details] [review]
Bug 6734: (QA follow-up) Fix punctuation, TT filters, and CSS class

* Changes Location : to Location:
* Removes html_line_break filter, as location is not multi-line
* Add subscription_location CSS class
* Use AuthorisedValues.GetDescriptionByKohaField()

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=6743
Comment 12 Fridolin Somers 2022-01-25 07:55:11 UTC
(In reply to Katrin Fischer from comment #10)
> (In reply to Fridolin Somers from comment #9)
> > Also use <span class="shelvingloc"> like in opac-detail.tt
> 
> I have tried that out and it didn't work well since there is a CSS style
> attached to it. But: the subscription location already shows in the
> subscription tab with the class "subscription_location", so I've used that
> in the other spots which makes things consistent :)

Great :)
Comment 13 Fridolin Somers 2022-01-29 07:53:51 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄